package com.xtd.project.assets.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xtd.framework.aspectj.lang.annotation.Excel;
import com.xtd.framework.web.domain.BaseEntity;
import java.util.Date;

/**
 * 审核对象 db_audit_form
 * 
 * @author xtd
 * @date 2020-04-09
 */
public class DbAuditForm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 ID */
    private Long id;

    /** 流程id */
    @Excel(name = "流程id")
    private String instanceId;

    /** 任务 ID */
    @Excel(name = "任务 ID")
    private String taskId;

    /** 任务名称 (必须以表单页面名称一致) */
    @Excel(name = "任务名称 (必须以表单页面名称一致)")
    private String taskName;

    /** 是否同意 0不同意 1同意 */
    @Excel(name = "是否同意 0不同意 1同意")
    private Integer isStatus;

    /** 审核人 ID */
    @Excel(name = "审核人 ID")
    private Long auditUserId;

    /** 审核人名称 */
    @Excel(name = "审核人名称")
    private String auditUser;

    /** 审核时间 */
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setInstanceId(String instanceId) 
    {
        this.instanceId = instanceId;
    }

    public String getInstanceId() 
    {
        return instanceId;
    }
    public void setTaskId(String taskId) 
    {
        this.taskId = taskId;
    }

    public String getTaskId() 
    {
        return taskId;
    }
    public void setTaskName(String taskName) 
    {
        this.taskName = taskName;
    }

    public String getTaskName() 
    {
        return taskName;
    }
    public void setIsStatus(Integer isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Integer getIsStatus() 
    {
        return isStatus;
    }
    public void setAuditUserId(Long auditUserId) 
    {
        this.auditUserId = auditUserId;
    }

    public Long getAuditUserId() 
    {
        return auditUserId;
    }
    public void setAuditUser(String auditUser) 
    {
        this.auditUser = auditUser;
    }

    public String getAuditUser() 
    {
        return auditUser;
    }
    public void setAuditTime(Date auditTime) 
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime() 
    {
        return auditTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("instanceId", getInstanceId())
            .append("taskId", getTaskId())
            .append("taskName", getTaskName())
            .append("isStatus", getIsStatus())
            .append("auditUserId", getAuditUserId())
            .append("auditUser", getAuditUser())
            .append("auditTime", getAuditTime())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
